/**********************************************************************
*                                                                     *
*  IBM(R) VisualAge(TM) for C++ for Windows(R), Version 3.5           *
*                                                                     *
*  PID: 5622-880                                                      *
*  - Licensed Material - Program-Property of IBM                      *
*  (C) Copyright IBM Corp. 1991, 1995 - All Right Reserved.           *
*                                                                     *
*  US Government Users Restricted Rights - Use, duplication or        *
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  *
*                                                                     *
*  VisualAge, and IBM are trademarks or registered trademarks of      *
*  International Business Machines Corporation.                       *
*  Windows is a registered trademark of Microsoft Corporation.        *
*                                                                     *
**********************************************************************/

// ----------------------------
// ISortedBagOnKeySortedBagImpl
// ----------------------------

// public members

template <class Base>
inline void
ISortedBagOnKeySortedBagImpl <Base>::
operator= (ISortedBagOnKeySortedBagImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf ((Self const&)collection));
}
#if defined (__LIB_BUILD__)

// private members

template <class Base>
inline Base&
ISortedBagOnKeySortedBagImpl <Base>::
BaseOf (ISortedBagOnKeySortedBagImpl <Base> const& collection)
{ return collection.ivBase;
}

template <class Base>
inline ISortedBagOnKeySortedBagImpl <Base>::Ops&
ISortedBagOnKeySortedBagImpl <Base>::
OpsOf (ISortedBagOnKeySortedBagImpl <Base> const& collection)
{ return (Ops&) Inherited::OpsOf (collection);
}

#endif
// ----------------------------
// IASortedBagOnKeySortedBagOps
// ----------------------------

// public members

template <class Base>
inline
IASortedBagOnKeySortedBagOps <Base>::
~IASortedBagOnKeySortedBagOps ()
{
}

// protected members

template <class Base>
inline
IASortedBagOnKeySortedBagOps <Base>::
IASortedBagOnKeySortedBagOps (IBoolean)
{
}
