/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswIOleItemContainerImpl
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    The IOleItemContainer interface for handling pseudo objects for
 *    a object instance.
 *
 *    This class is designed to be included into CAswObjectInstance. It is not
 *    a public class.
 *
 *****************************************************************************/

#ifndef ASIITEM_H
#define ASIITEM_H
#include <aspack.h>
class CAswIOleItemContainerImpl : public CAswIOleItemContainer
{
public:
   CAswIOleItemContainerImpl(PASWCONTROL        pCtl,
                             PASWCOMBASE        pCOMBase,
                             PASWOBJECTINSTANCE pObjInstance);
   ~CAswIOleItemContainerImpl(void);
    STDMETHOD(ParseDisplayName) (LPBC           pbc, 
                                 LPOLESTR       lpszDisplayName,
                                 ULONG FAR*     pchEaten,
                                 LPMONIKER FAR* ppmkOut);
    STDMETHOD(EnumObjects) (DWORD grfFlags, LPENUMUNKNOWN FAR* ppenumUnknown);
    STDMETHOD(LockContainer) (BOOL fLock);
    STDMETHOD(GetObject) (LPOLESTR     lpszItem,
                          DWORD        dwSpeedNeeded,
                          LPBINDCTX    pbc,
                          REFIID       riid,
                          LPVOID FAR*  ppvObject);
    STDMETHOD(GetObjectStorage) (LPOLESTR    lpszItem,
                                 LPBINDCTX   pbc,
                                 REFIID      riid,
                                 LPVOID FAR* ppvStorage);
    STDMETHOD(IsRunning) (LPOLESTR lpszItem);
private:
   PASWOBJECTINSTANCE const   m_pObjInstance;
};
#include <aspop.h>
#endif
