/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswOleObjectImpl
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    Implementation in the IOleObject interface
 *
 *****************************************************************************/

#ifndef ASIOLEOB_H
#define ASIOLEOB_H
#include <aspack.h>
class CAswOleObjectImpl : public CAswIOleObject
{
public:
   CAswOleObjectImpl(PASWCONTROL          pCtl,
                     PASWCOMBASE          pCOMBase,
                     PASWOBJECTINSTANCE   pObjInstance);
   CAswOleObjectImpl(PASWCONTROL          pCtl,
                     PASWCOMBASE          pCOMBase,
                     PASWPSEUDOOBJECT     pPseudoObj);
   ~CAswOleObjectImpl(void);
   STDMETHOD(SetClientSite) (LPOLECLIENTSITE pClientSite);
   STDMETHOD(GetClientSite) (LPOLECLIENTSITE ASWPTR* ppClientSite);
   STDMETHOD(SetHostNames) (LPCOLESTR  szContainerApp,LPCOLESTR  szContainerObj);
   STDMETHOD(Close) (DWORD dwSaveOption);
   STDMETHOD(SetMoniker) (DWORD dwWhichMoniker,LPMONIKER pmk);
   STDMETHOD(GetMoniker) (DWORD           dwAssign,
                          DWORD           dwWhichMoniker,
                          LPMONIKER ASWPTR*  ppmk);
   STDMETHOD(InitFromData) (LPDATAOBJECT  pDataObject,
                            BOOL          fCreation,
                            DWORD         dwReserved);
   STDMETHOD(GetClipboardData) (DWORD              dwReserved,
                                LPDATAOBJECT ASWPTR*  ppDataObject);
   STDMETHOD(DoVerb) (LONG             iVerb,
                      LPMSG            lpmsg,
                      LPOLECLIENTSITE  pActiveSite,
                      LONG             lindex,
                      HWND             hwndParent,
                      LPCRECT          lprcPosRect);
   STDMETHOD(EnumVerbs) (LPENUMOLEVERB ASWPTR* ppenumOleVerb);
   STDMETHOD(Update) (void);
   STDMETHOD(IsUpToDate) (void);
   STDMETHOD(GetUserClassID) (CLSID ASWPTR* pClsid);
   STDMETHOD(GetUserType) (DWORD dwFormOfType,LPOLESTR ASWPTR* pszUserType);
   STDMETHOD(SetExtent) (DWORD dwDrawAspect, LPSIZEL lpsizel);
   STDMETHOD(GetExtent) (DWORD dwDrawAspect, LPSIZEL lpsizel);
   STDMETHOD(Advise) (LPADVISESINK pAdvSink,DWORD ASWPTR* pdwConnection);
   STDMETHOD(Unadvise) (DWORD dwConnection);
   STDMETHOD(EnumAdvise) (LPENUMSTATDATA ASWPTR* ppenumAdvise);
   STDMETHOD(GetMiscStatus) (DWORD dwAspect, DWORD ASWPTR* pdwStatus);
   STDMETHOD(SetColorScheme) (LPLOGPALETTE lpLogpal);
private:
   PASWOBJECTINSTANCE GetObjectInstance(void);
   PASWOBJECTINSTANCE const   m_pObjInstance;
   PASWPSEUDOOBJECT   const   m_pPseudoObj;
};
#ifdef ASWANDEBUG
LPSTR VerbName(long lVerb);
#endif
#include <aspop.h>
#endif 
