/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswPersistFileImpl
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    Implmentation of the IPersistFile interface for CAswObjectInstance
 *
 *****************************************************************************/

#ifndef ASIPFILE_H
#define ASIPFILE_H
#include <aspack.h>
class CAswPersistFileImpl : public CAswIPersistFile
{
public:
   CAswPersistFileImpl(PASWCONTROL         pCtl,
                       PASWCOMBASE         pCOMBase,
                       PASWOBJECTINSTANCE  pObjInstance);
   ~CAswPersistFileImpl(void);
   STDMETHOD(GetClassID)(LPCLSID lpClassID);
   STDMETHOD(IsDirty)(void);
   STDMETHOD(Load)(LPCOLESTR lpszFileName, DWORD grfMode);
   STDMETHOD(Save)(LPCOLESTR lpszFileName, BOOL fRemember);
   STDMETHOD(SaveCompleted)(LPCOLESTR lpszFileName);
   STDMETHOD(GetCurFile)(LPOLESTR ASWPTR* lplpszFileName);
private:
   PASWOBJECTINSTANCE const   m_pObjInstance;
};
#include <aspop.h>
#endif 
