/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswAdtDispatch
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    Implementation of IDispatch via CAswAdtDispatch.
 *
 *****************************************************************************/

#ifndef  ASLSIDSP_H
#define  ASLSIDSP_H
#include <aspack.h>
class CAswAdtDispatch : public CAswIDispatchBaseImpl
{
public:
   CAswAdtDispatch(PASWCONTROL     pControl,
                   PASWCOMBASE     pCOMBase,
                   PLSADAPTER      pAdapterRegistry);
   ~CAswAdtDispatch( void );
   STDMETHOD(GetTypeInfoCount)(UINT *pctinfo);
   STDMETHOD(GetTypeInfo)( UINT itinfo, LCID lcid, LPTYPEINFO FAR* pptinfo);
   STDMETHOD(GetIDsOfNames)( REFIID riid, 
                             LPOLESTR FAR*rgszNames, UINT cNames,
                             LCID lcid,
                             DISPID FAR*rgdispid);
   STDMETHOD(Invoke )(DISPID dispidMember,
                      REFIID riid,
                      LCID lcid,
                      WORD wFlags,
                      DISPPARAMS FAR* pdispparams,
                      VARIANT FAR* pvarResult,
                      EXCEPINFO FAR* pexcepinfo,
                      UINT FAR* puArgErr);
   CAswResult ASWPUBMETHOD SetupADTProxy(LSADTCLSIDREF   ridAdtClass, 
                                         LSUSHORT        nFlags,
                                         PILSIADTCONTROL  hAdtObject);
   inline PILSIADTCONTROL   GetADTHandle( void )
   {
      return m_AdtHandle;
   }
   inline LSADTCLASSID GetADTClassId( void )
   {
      return m_AdtClassId;
   }
private:
   PLSADAPTER        m_pAdapterRegistry;  
   LPDISPATCH        m_pAdtDispatch;      
   PILSIADTCONTROL    m_AdtHandle;         
   LSADTCLASSID      m_AdtClassId;        
};
#include <aspop.h>
#endif   
