/* NOSHIP */
#ifndef _IMCELPRV_
  #define _IMCELPRV_
/*******************************************************************************
* FILE NAME: imcelprv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IMultiCellCanvasData                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <ipoint.hpp>

#ifdef IC_PMWIN

#pragma pack(4)

class IMultiCellCanvasData : public IBase {
typedef IBase
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
  IMultiCellCanvasData ( );

/*----------------------------------- Data -----------------------------------*/
#ifdef IC_MOTIF
static const char
  className[ 21 ];
#endif
#ifdef IC_PMWIN
unsigned long
  layoutInProgress;
ISize
  sizeForLayout;
#endif
}; // IMultiCellCanvasData

#pragma pack()

#endif // IC_PMWIN
#endif /* _IMCELPRV_ */
