/* NOSHIP */
/*****************************************************************************

    File: 	LSITYPE.H

    (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.

    Description: LotusScript base data type definitions.

 *****************************************************************************/

#if !defined(LSITYPE_H) 
#define      LSITYPE_H
#include "lsdefine.h"
#ifdef __BORLANDC__
typedef	LSPTR(struct LSFAR LSsApiInstance)	LShAPIINSTANCE;
#if !defined(LSI_INTERNAL_API)
typedef	LShAPIINSTANCE								LShINSTANCE;
#else
typedef	LSPTR(struct LSFAR LSsInstance)		LShINSTANCE;
#endif
#else
typedef	LSPTR(struct LSsApiInstance)			LShAPIINSTANCE;
#if !defined(LSI_INTERNAL_API)
typedef	LShAPIINSTANCE								LShINSTANCE;
#else
typedef	LSPTR(struct LSsInstance)				LShINSTANCE;
#endif
#endif
#include "lsibase.h"
#include	"lssdefs.h"
#if LSCOMPILER_MICROSOFT
#if LSAPI_ANYWIN32
#pragma pack(push, 1)
#else
#pragma pack(1)
#endif
#elif LSCOMPILER_IBMCSET
#pragma pack(1)
#elif LSCOMPILER_WATCOMC
#pragma pack(1)
#endif
typedef	LSPTR(void)							LSSTREAM;
typedef	LSPTR(LSUBYTE)						LSIODATA;
SERVICE_DECL_TYPES(LSI);
typedef	LSPTR(struct LSsFrame)			LShFRAME;
typedef	LSSYMREL								LShSYMBOL;
typedef	LSULONG								LSCLIVARID;
typedef	LSUSHORT								LSLINE;
typedef	LSUSHORT								LSERRCODE;
typedef	LSUSHORT								LSVAR_SCOPE;
struct LSFAR LSLANGTYPE
{
	LSPLTCHAR			Lang[4];
	operator LSPLTSTR()
	{
		return Lang;
	}
	inline void Set(LSPLTSTR str)
	{
		if (LSNULL == str)
		{  Lang[0] = Lang[1] = Lang[2] = 0; }
		else
		{	Lang[0] = str[0]; Lang[1] = str[1]; Lang[2] = 0; }
	}
};
#if LSCOMPILER_MICROSOFT
#if LSAPI_ANYWIN32
#pragma pack(pop)
#else
#pragma pack()
#endif
#elif LSCOMPILER_IBMCSET
#pragma pack()
#elif LSCOMPILER_WATCOMC
#pragma pack()
#endif	
#endif 
