/* NOSHIP */
/*****************************************************************************
 *
 * File: LSRREGI.HPP
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Desc: Interface definition for the Adapter/Registry
 *
 *****************************************************************************/

#if !defined(LSRREGI_HPP)
#define LSRREGI_HPP
#include "lsrdefs.hpp"
#if LSR_ENABLED
#include "lsrole.hpp"	
#include "lsrerr.hpp"	
#define LSR_DISP_DOCASTING		LSUSHORT(0x0001)
#define LSR_DISP_DOREGACTIVE	LSUSHORT(0x0002)
#define LSR_CF_DOREGCLASS		LSUSHORT(0x0002)
typedef struct tag_LSRsCFRegistryInfo	LSRCFREGINFO;
typedef LSPTR(LSRCFREGINFO)	PLSRCFREGINFO;
struct tag_LSRsCFRegistryInfo
{
	LSUSHORT	nClassContext;
	LSUSHORT	nRegContext;
};
interface ILotusAdapterRegistry
{
	IFACEMETH_(LSRESULT,	OleCreateAdtClassFactory)(LSADTCLSIDREF		ridClass, 
																  LSUSHORT				nFlags,
																  PLSRCFREGINFO		pRegInfo,
																  LPUNKNOWN				pUnk,
																  LSPTR(LPCLASSFACTORY)	pRetClass)	IPURE;
	IFACEMETH_(LSRESULT,	OleCreateAdtDispatch)(PILSIADTCONTROL			hAdt,
															 LSADTCLSIDREF				ridClass,
															 LSUSHORT					nFlags,
															 LPUNKNOWN					pUnk,
															 LSPTR(LPDISPATCH)		ppRetDisp) IPURE;
	IFACEMETH_(LSULONG, OleNumberOfAdtDispatchProxies)( void ) IPURE;
	IFACEMETH_(LSULONG, OleNumberOfAdtClassProxies)( void ) IPURE;
	IFACEMETH_(LSULONG, OleNumberOfAdtClassProxiesLocked)( void ) IPURE;
};
typedef LSPTR(interface ILotusAdapterRegistry)	PLSADAPTER;
#endif
#endif
