/* NOSHIP */
#ifndef _ICNRFILT_
#define _ICNRFILT_
/*******************************************************************************
* FILE NAME: icnrfilt.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IContainerHideFilter                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <icnrctl.hpp>

#pragma pack(4)

class IContainerObject;

/*---------------------------------------------------------------------------*/
/* The following class is used to filter records from the container          */
/*---------------------------------------------------------------------------*/
class IContainerHideFilter : public IContainerControl::FilterFn
{
public:
  IContainerHideFilter ( );
 ~IContainerHideFilter ( );
  virtual Boolean
    isMemberOf( IContainerObject* object,
                IContainerControl* container) const;
};

#pragma pack()

#endif // _ICNRFILT_
