/* NOSHIP */
#ifndef _IGBPRIV_
#define _IGBPRIV_
/*******************************************************************************
* FILE NAME: igbpriv.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of classes that are private              *
*   to the implementation of IGroupBox for Windows 32-bit.                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifdef IC_WIN
  #include <ihandler.hpp>

class IGroupHandler : public IHandler {
typedef IHandler
  Inherited;
public:

/*------------------------------- Constructors -------------------------------*/
  IGroupHandler ( );

virtual
 ~IGroupHandler ( );

protected:
/*----------------------------- Event Processing -----------------------------*/
virtual Boolean
  dispatchHandlerEvent ( IEvent& anEvent );

}; // class IGroupHandler
#endif // IC_WIN
#endif /* _IGBPRIV_ */
